@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');
*, 
html,
*:before,
*:after {
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family: 'Montserrat', sans-serif;
}

html{
    height: 100%;
}

h1{
  font-size: 45px;
}

h2{
  font-size: 45px;
  margin-top: 135px;
  margin-bottom: 80px;

}
p{
  font-size: 18px;
}
header{
  background: no-repeat url(../img/header.png);
  background-position: 65% 50%;
  background-size: cover;
}
.page{
  background-position: 0% 0%;
}
.header-text{
  margin-top: 100px;
  
}
.header-space{
  margin-top: 140px;
}
.tel{
  justify-content: flex-start;
}
.wrapper-page{
    display: flex;
    flex-direction: column;
    height: 100%;
}

.main{
  background:red;
  flex: 1 0 auto;
}
.wrapper-main{
  max-width: 1166px;
  margin: 0 auto;
}

.footer{
  background:green;
   flex: 0 0 auto;
}

[class*="sidebar-"]{
  height:100%;
}

.blank-col { //пустой контейнер
  min-height: 100px;
  max-height: 100px;
}

.sticky {
  top: 0;
  position:fixed;
  width: 100%;
  max-height: 150px;
}


.hidden{display:none;}
.hidden-col {visibility: hidden;}
.text-left {text-align: left;}
.text-right {text-align: right;}

@media all and (max-width: 500px){
  .no-mobile {display: none;}
}
/*---------------меню--------------------------------------*/
.menu{
  display: flex;
flex-flow: row nowrap;
justify-content: space-between;
align-items: center;
font-size: 1.125em;
}

.menu li{
  list-style: none;
  font-size: 24px;
}
.menu li .header-smail-text .no-mobile{
  font-size: 16px;
  
  max-width: 10px;
}
.menu__item:hover{
  font-weight: 600;
}
/*----------mobile-------------------*/
  #menu__toggle {
  opacity: 0;
}
@media screen and (max-width: 780px) {
      #menu__toggle {
  opacity: 0;
}

#menu__toggle:checked ~ .menu__btn > span {
  transform: rotate(45deg);
}
#menu__toggle:checked ~ .menu__btn > span::before {
  top: 0;
  transform: rotate(0);
}
#menu__toggle:checked ~ .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}
#menu__toggle:checked ~ .menu {
  visibility: visible;
  left: 0;
}

.menu__btn {
  display: flex;
  align-items: center;
  position: fixed;
  top: 20px;
  right: 20px;

  width: 26px;
  height: 26px;

  cursor: pointer;
  z-index: 1;
}

.menu__btn > span,
.menu__btn > span::before,
.menu__btn > span::after {
  display: block;
  position: absolute;

  width: 100%;
  height: 2px;

  background-color: #000;

  transition-duration: .25s;
}
.menu__btn > span::before {
  content: '';
  top: -8px;
}
.menu__btn > span::after {
  content: '';
  top: 8px;
}

.menu {
  display: block;
  position: fixed;
  visibility: hidden;
  top: 0;
  left: -100%;

  width: 300px;
  height: 100%;

  margin: 0;
  padding: 40px 0;

  list-style: none;

  background-color: #ECEFF1;
  box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);

  transition-duration: .25s;
}

.menu__item {
  display: block;
  padding: 12px 24px;
  color: #333;
  font-size: 18px;
  font-weight: 600;

  text-decoration: none;

  transition-duration: .25s;
}
.menu__item:hover {
  background-color: #CFD8DC;
}
}
/*----------------------------------------*/

/*----------кнопка---------*/
.button a, input[type="submit"]{
  background-color: #ff9700;
  padding: 10px 36px;
  color: #fff;
  border-radius: 35px;
  text-align: center;
	border-width: none;
    border-style: none;
    border-color: none;
    border-image: none;
}

.button a:hover, .header-button a:hover{
  background-color: #FF5C00;
}
.header-button{
  margin-top: 100px;
}
.header-button a{
  font-size: 24px;
  padding: 20px 70px;
  background-color: #ff9700;
  
  color: #fff;
  border-radius: 35px;
  text-align: center;

}
/*--------- о нас-----------*/
.block-center{
  align-items: center;
}
img{
  width: 100%;
}

.about-list li:first-child{
  margin-top: inherit;
}
.about-list li{
  margin-top: 25px;
  list-style-image: url(../img/mark.png);
  list-style-position: outside;
  padding-left: 10px;
}
/*----------комнаты-----------------------*/
.infin-bg{
  background-color: #ebebeb;
}
.card > a{
	transition: 0.5s;
}
.card > a:hover {
	transform: scale(1.1);
}

.card{
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-size: 18px;
  width: 270px;
  margin: 10px;
  margin-bottom: 120px;
}

.room-class{
  text-transform: uppercase;
  font-weight: 700;
  text-align: center;
  font-size: 26px;
  margin-top: 15px;
  margin-bottom: 20px;
}
.room-card{
	text-align:left;
}
.room-price, .room-option{
  display: flex;
  justify-content: center;
  margin-top: 20px;
}
.room-price img, .room-option img{
  width: auto;
  margin-right: 5px;
}
.room-btn{
  margin: 40px auto;
}

/*--------------отзывы--------------------*/
.fback-container{
  display: flex;
  flex-direction: row nowrap;
  background-color: #ebebeb;
  padding: 50px 20px;
  border-radius: 20px;
  box-shadow: #999 5px 5px 10px;
  align-items: center;
	margin: auto 30px;
}
.fback-img{
  display: flex;
  justify-content: center;
}
.fback-img img{
  max-width: 250px;


}

/*----------комната бронь------------------*/
.order{
  border: 3px solid #ff9700; 
  margin: 100px auto;
}
.order-img{
  flex-wrap: wrap;
  justify-content: flex-start;
}
.order-img img{
  width: 50%;
	height: auto;
}
/*--------футер---------------------*/
footer{
  background: #ebebeb;
}
.addres{
  margin-top: 70px;
}
.soc img{
  width: 40px;
  margin-right: 10px;
}
/*-----------------Сетка-----------------*/

.wrapper {margin: 20px auto;}

@media all and (min-width: 680px) {
  .wrapper {
   padding: 0 20px;
   padding-top: 20px;
  }
}

[class*="col-"] {
  margin-bottom: 20px;
  min-height: 30px;
  padding: 20px;
}

.row {
  display: flex;
  flex-flow: row wrap;
}  [class*="col-"] {
    margin-right: 0;
    width: 100%;
  }

[class*="col-"]:last-child {
  margin-right: 0;
}

@media all and ( min-width: 680px ) {  
   [class*="col-"] {
   margin-right: 20px;
  }
  .col-1 {flex: 1;}
  .col-2 {flex: 2;}
  .col-3 {flex: 3;}
  .col-4 {flex: 4;}
  .col-5 {flex: 5;}
  .col-6 {flex: 6;}
  .col-7 {flex: 7;}
  .col-8 {flex: 8;}
  .col-9 {flex: 9;}
  .col-10 {flex: 10;}
  .col-11 {flex: 11;}
  .col-12 {flex: 12;}
}

.full-width { margin-bottom: 0; }

.full-width:last-child { margin-bottom: 20px; }

.space-off,
.space-off:last-child {
  margin-bottom: 0;
}

@media all and (min-width: 500px) {
  .full-width {
    margin-bottom: 20px;
    margin-right: 0;
  }

  .space-off,
  .space-off:last-child {
    margin-bottom: 0;
  }
}
/*------slider-----------*/
.max-width-slider{
  max-width: 50%;
}
.max-width-feedback{
	max-width: 80%;
}
.dc{
	max-width: 10%;
}
/*---------end ----------------------*/
@media all and (max-width: 680px) {
 .center{
  justify-content: center;
  align-items:center;
 }
 .max-width-slider{
  max-width: 100%;
}
	.max-width-feedback{
	max-width: 100%;
}
	.dc{
	max-width: 0%;
}
}

form {
	margin-top: 20px;
}